Remove identification from blocklist
curl --request DELETE \
--url https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/")
.header("Authorization", "Basic <encoded-value>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_bodyusing RestSharp;
var options = new RestClientOptions("https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Basic <encoded-value>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/")
.delete(null)
.addHeader("Authorization", "Basic <encoded-value>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/")!
var request = URLRequest(url: url)
request.httpMethod = "DELETE"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Basic <encoded-value>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))Remove identification from blocklist
DELETE
/
kyc
/
identifications
/
{scanRef}
/
blocklists
/
{blocklistSource}
/
Remove identification from blocklist
curl --request DELETE \
--url https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/")
.header("Authorization", "Basic <encoded-value>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_bodyusing RestSharp;
var options = new RestClientOptions("https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Basic <encoded-value>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/")
.delete(null)
.addHeader("Authorization", "Basic <encoded-value>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/")!
var request = URLRequest(url: url)
request.httpMethod = "DELETE"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Basic <encoded-value>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))Authorizations
Path Parameters
Response
204
No response body
Was this page helpful?